ephemeral_lvm Cookbook CHANGELOG
=======================

This file is used to list changes made in each version of the ephemeral_lvm cookbook.

v3.0.0
------
- locks to [lvm](https://github.com/chef-cookbooks/lvm) >= 4.0, Issues: ([#60][], [#62][]), PR: [#61][]

v2.1.0
------
- [lvm-3.1.0](https://github.com/chef-cookbooks/lvm/releases/tag/v3.1.0)
- Pull Request [#50][]: fixed detection for gce ephemeral device type "LOCAL-SSD" ([@areznikov-kabam][])
- Pull Request [#48][]: Wipe Signatures ([@kingpong][])
- Pull Request [#46][]: Added attribute for wipe_attributes to pass along to the lvm_volump_group ([@freimer][])
- Pull Request [#33][]: Using include_recipe_now technic to allow compile time lvm2 package run ([@felka][])

v2.0.1
-------
- addressed GCE "LOCAL-SSD" type for ephemeral drives

v2.0.0
-------

- Add support for chef 12
- Remove support for chef 11

v1.0.17
-------

- [#54][]: updating lvm cookbook to 2.1.2

v1.0.16
-------

- updated helper library to node['gce']['instance'] instead of node['gce']['attached_disks']

v1.0.15
-------

- fixed gce ephemeral storage detection

v1.0.14
-------

- Setting type of "ephemeral_lvm/mount_point_properties" to hash in metadata.rb

v1.0.13
-------
- update lvm cookbook to 1.6.1
- Removes static options from LVM mounting

v1.0.12
-------

- run vgs command during converge instead of compile time

v1.0.11
-------

- Issue https://github.com/gregsymons/di-ruby-lvm-attrib/issues/22 has been fixed so workaround can be removed.

v1.0.10
-------

- Due to issue https://github.com/gregsymons/di-ruby-lvm-attrib/issues/22, updated gem added to cookbook
  to allow use with RHEL/CentOS 7.1.
- Updated lvm cookbook dependency version to 1.3.6.

v1.0.9
------

- Run 'wipefs' on each ephemeral disk erasing any filesystem signatures, avoiding user interaction during lvm commands.

v1.0.8
------

- Add testing for support of Ubuntu 14.04, CentOS 7.0, and RedHat Enterprise Linux 7.0.

v1.0.7
------

- Set the fs_passno field to 0 in /etc/fstab to inform fsck that the filesystem used by the ephemeral volumes should
  not be checked after stop/start.

v1.0.6
------

- [#19][]: Do not automatically mount the ephemeral LVM since ephemeral volumes are actually ephemeral and will not come
  back after stop/start.

v1.0.5
------

- Changed a misleading error message where no ephemeral disks were found.
- Update lvm cookbook dependency to `1.1.x`.

v1.0.4
------

- Pull Request [#13][]: Fixed a bug where `fix_device_mapping` was returning the output of `Chef::Log.warn` instead of
  `nil` if it could not find the ephemeral device ([@autrejacoupa][])

v1.0.3
------

- Pull Request [#9][]: Debian is now added as a supported platform ([@drywheat][])
- Make sure cloud specific node area is available before accessing it
- Pull Request [#11][]: Added support for all EC2 instance types ([@drywheat][])

v1.0.2
------

- Updated README

v1.0.1
------

- Pull Request [#3][]: Fixed a bug where log resource was used inline in a library ([@juliandunn][])

v1.0.0
------

- Initial release

<!--- The following link definition list is generated by PimpMyChangelog --->
[#3]: https://github.com/rightscale-cookbooks/ephemeral_lvm/issues/3
[#9]: https://github.com/rightscale-cookbooks/ephemeral_lvm/issues/9
[#11]: https://github.com/rightscale-cookbooks/ephemeral_lvm/issues/11
[#13]: https://github.com/rightscale-cookbooks/ephemeral_lvm/issues/13
[#19]: https://github.com/rightscale-cookbooks/ephemeral_lvm/issues/19
[#33]: https://github.com/rightscale-cookbooks/ephemeral_lvm/issues/33
[#46]: https://github.com/rightscale-cookbooks/ephemeral_lvm/issues/46
[#48]: https://github.com/rightscale-cookbooks/ephemeral_lvm/issues/48
[#50]: https://github.com/rightscale-cookbooks/ephemeral_lvm/issues/50
[#54]: https://github.com/rightscale-cookbooks/ephemeral_lvm/issues/54
[#60]: https://github.com/rightscale-cookbooks/ephemeral_lvm/issues/60
[#61]: https://github.com/rightscale-cookbooks/ephemeral_lvm/issues/61
[#62]: https://github.com/rightscale-cookbooks/ephemeral_lvm/issues/62
[@areznikov-kabam]: https://github.com/areznikov-kabam
[@autrejacoupa]: https://github.com/autrejacoupa
[@drywheat]: https://github.com/drywheat
[@felka]: https://github.com/felka
[@freimer]: https://github.com/freimer
[@juliandunn]: https://github.com/juliandunn
[@kingpong]: https://github.com/kingpong